List All Active Sessions
curl --request GET \
--url https://monitor.geonode.com/sessions/proxies \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://monitor.geonode.com/sessions/proxies"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://monitor.geonode.com/sessions/proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://monitor.geonode.com/sessions/proxies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://monitor.geonode.com/sessions/proxies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://monitor.geonode.com/sessions/proxies")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://monitor.geonode.com/sessions/proxies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"sessions": [
{
"id": "a7f7c7a3-aaaa-4908-b7bd-71091daadaa6",
"userSessionId": "vzzzzd",
"userId": "geonode_userid",
"port": "10000",
"domain": "ip-api.com",
"country": "dz",
"rotatingIntervalInSeconds": 179.32,
"durationInSeconds": 2.785
}
],
"count": 1,
"total": 1,
"page": 1,
"pageSize": 250
}Sticky Sessions Control
List All Active Sessions
Retrieve a paginated list of all active sessions associated with your Geonode account.
GET
/
sessions
/
proxies
List All Active Sessions
curl --request GET \
--url https://monitor.geonode.com/sessions/proxies \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://monitor.geonode.com/sessions/proxies"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://monitor.geonode.com/sessions/proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://monitor.geonode.com/sessions/proxies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://monitor.geonode.com/sessions/proxies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://monitor.geonode.com/sessions/proxies")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://monitor.geonode.com/sessions/proxies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"sessions": [
{
"id": "a7f7c7a3-aaaa-4908-b7bd-71091daadaa6",
"userSessionId": "vzzzzd",
"userId": "geonode_userid",
"port": "10000",
"domain": "ip-api.com",
"country": "dz",
"rotatingIntervalInSeconds": 179.32,
"durationInSeconds": 2.785
}
],
"count": 1,
"total": 1,
"page": 1,
"pageSize": 250
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Page number for pagination (default is 1).
Number of sessions per page (maximum is 250; default is 250).
Response
A list of active sessions retrieved successfully.
A list of currently active proxy sessions.
Show child attributes
Show child attributes
The number of active sessions returned in the current page.
Example:
1
The total number of active sessions across all pages.
Example:
1
The current page number.
Example:
1
The number of sessions per page.
Example:
250
Was this page helpful?